#!/bin/bash

# Small program, inspired from Yajo's one : https://bitbucket.org/yajo/docker-odoo
# It generates configuration file

CONF=/opt/odoo/odoo.conf
ADDONS_PATH="/opt/odoo/OCB/addons,/opt/odoo/data/addons"

cd extra-addons
for d in */ ; do
  if ! [ "$d" == "*/" ]; then
    ADDONS_PATH="$ADDONS_PATH,/opt/odoo/extra-addons/$d"
  fi
done

cd ../custom-addons
for d in */ ; do
  if ! [ "$d" == "*/" ]; then
    ADDONS_PATH="$ADDONS_PATH,/opt/odoo/custom-addons/$d"
  fi
done

# Configuration generation
echo "
[options]
; Configuration file auto-generated
addons_path = $ADDONS_PATH
data_dir = /opt/odoo/data
db_host = postgres
db_port = 5432
db_user = $POSTGRES_USER
db_password = $POSTGRES_PASSWORD
db_maxconn = ${DB_MAXCONN:=10}
list_db = ${LIST_DB:=True}
workers = ${WORKERS:=1}
limit_time_cpu = ${LIMIT_TIME_CPU:=60}
limit_time_real = ${LIMIT_TIME_REAL:=120}
admin_passwd = ${ADMIN_PASSWORD:=admin}" > $CONF
